<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	            xmlns:ui="http://java.sun.com/jsf/facelets"	   
	            xmlns:h="http://java.sun.com/jsf/html"
	            xmlns:f="http://java.sun.com/jsf/core"
	            xmlns:p="http://primefaces.org/ui"
	            template="/WEB-INF/templates/interno/templateBranco.xhtml">
	            
	<ui:define name="content">
	
	<h:form id="FornecedorListForm" class="form-height">

		<p:contextMenu id="FornecedorDataTableContextMenu" for="datalist">
		    <p:menuitem value="Novo" onclick="document.getElementById('FornecedorListForm:datalist:createButton').click();" icon="fa fa-plus"/>
            <p:menuitem value="Editar" onclick="document.getElementById('FornecedorListForm:datalist:editButton').click();" icon="ui-icon-pencil"/>
            <p:menuitem value="Mostrar" onclick="document.getElementById('FornecedorListForm:datalist:viewButton').click();" icon="ui-icon-pencil"/>
            <p:menuitem value="Deletar" onclick="document.getElementById('FornecedorListForm:datalist:deleteButton').click();" icon="ui-icon-trash"/>	
		</p:contextMenu>
		
		<p:messages showDetail="true" autoUpdate="true" closable="true"/>

		<p:dataTable id="datalist" 
		             var="fornecedor" 
		             value="#{fornecedorBean.listarTodos()}"
			         selectionMode="single" 
			         selection="#{fornecedorBean.fornecedorSelecionado}"
			         rowKey="#{fornecedor.id}" 
			          paginator="true"
                     rows="20"
                     
                     rowsPerPageTemplate="20,40,60"
   			         paginatorTemplate="{buttons} {CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
			         paginatorPosition="buttom" >
			          
			         <f:facet name="header">
                <div class="row row-nomargin">
                    
                    <div class="col-lg-12">
                        <h:outputText value="Fornecedores"/>
                    </div>
                    
                </div>
            </f:facet>
			<p:ajax event="rowSelect" update="datalist" />
			
			<p:column headerText="Código">
				<h:outputText value="#{fornecedor.codigo}" />
			</p:column>
			
			<p:column headerText="Nome fantasia">
				<h:outputText value="#{fornecedor.nomeFantasia}" />
			</p:column>
			
			<p:column headerText="Nome Real">
				<h:outputText value="#{fornecedor.nomeReal}" />
			</p:column>
			
			<p:column headerText="CNPJ">
				<h:outputText  value="#{fornecedor.cnpj}" />
			</p:column>
       
            <p:column headerText="Telefone">
				<h:outputText value="#{fornecedor.telefone}" />
			</p:column>
			<f:facet name="{buttons}">
                 <div class="footer-left">  
                    <p:commandButton id="createButton" styleClass="btn-primary" icon="fa fa-plus" value="Cadastrar" onclick="PF('CadastroFornecedor').show();" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
                    <p:commandButton id="editButton"   styleClass="btn-primary" icon="fa fa-pencil" value="Alterar" onclick="PF('EditFornecedor').show();" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()" disabled="#{empty fornecedorBean.fornecedorSelecionado}" update="EditFornecedorform"/>
                    <p:commandButton id="viewButton"   styleClass="btn-primary" icon="fa fa-pencil" value="Detalhes do fornecedor" onclick="PF('ViewFornecedor').show();" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()" disabled="#{empty fornecedorBean.fornecedorSelecionado}" update="ViewFornecedorform"/>
                    <p:commandButton id="addProductButton"   styleClass="btn-primary" icon="fa fa-pencil" value="Cadastrar produto" action="#{fornecedorBean.cadastrarProduto()}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()" disabled="#{empty fornecedorBean.fornecedorSelecionado}"/>
                    <p:commandButton id="deleteButton" styleClass="btn-primary" icon="fa fa-trash"  value="Deletar" action="#{fornecedorBean.deletar()}" update="datalist" disabled="#{empty fornecedorBean.fornecedorSelecionado}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                        <p:confirm header="Confirmação" message="Deseja deletar #{fornecedorBean.fornecedorSelecionado.nomeFantasia}?" icon="fa fa-warning"/>
                    </p:commandButton> 
                 </div>   
                
			</f:facet>
		</p:dataTable>

		<p:confirmDialog global="true" styleClass="box box-danger">  
          <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes btn-success" icon="fa fa-check"/>  
          <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no btn-danger" icon="fa fa-remove"/>       
        </p:confirmDialog>
	</h:form>
	
	<p:dialog  id="CadastroFornecedorId" widgetVar="CadastroFornecedor" modal="true" resizable="false"
			   closeOnEscape="true" header="Cadastro de fornecedor"
			   appendTo="@(body)" styleClass="box box-primary"
			   focus="CadastroFornecedorform:nomeReal">

         <h:form id="CadastroFornecedorform">
         <p:messages id="msgs" autoUpdate="true" closable="true"/>
			<h:panelGroup id="displayCadastrar">
				<p:panelGrid columns="2" columnClasses="column" rendered="true">
					
                    <p:outputLabel  value="Código: " for="codigo"/>
					<p:inputText id="codigo" value="#{fornecedorBean.fornecedor.codigo}" />

					<p:outputLabel  value="Nome Real: " for="nomeReal"/>
					<p:inputText id="nomeReal" value="#{fornecedorBean.fornecedor.nomeReal}" />
					
					<p:outputLabel  value="Nome Fantasia: " for="nomeFantasia"/>
					<p:inputText id="nomeFantasia" value="#{fornecedorBean.fornecedor.nomeFantasia}"/>
					
					<p:outputLabel  value="Resposável: " for="responsavel"/>
					<p:inputText id="responsavel" value="#{fornecedorBean.fornecedor.responsavel}"/>
					
					<p:outputLabel value="CNPJ:" for="cnpj" /> 
                    <p:inputMask mask="99.999.999/9999-99" id="cnpj" size="25" value="#{fornecedorBean.fornecedor.cnpj}" />
					
					<p:outputLabel value="Telefone:" for="telefone"/>
                    <p:inputMask mask="(999) 9999-9999" id="telefone" size="20" value="#{fornecedorBean.fornecedor.telefone}" />
					
					<p:outputLabel value="Estado: " for="estado"/>
				    <p:inputText id="estado" value="#{fornecedorBean.fornecedor.endereco.estado}" />
				
				    <p:outputLabel value="Cidade: " for="cidade"/>
					<p:inputText id="cidade" value="#{fornecedorBean.fornecedor.endereco.cidade}" />
				
					<p:outputLabel value="CEP: " for="cep" />
					<p:inputText id="cep" value="#{fornecedorBean.fornecedor.endereco.cep}" />
				
					<p:outputLabel value="Bairro: " for="bairro"/>
					<p:inputText id="bairro" value="#{fornecedorBean.fornecedor.endereco.bairro}" />
				
					<p:outputLabel value="Lougradouro: "  for="lougradouro"/>
					<p:inputText id="lougradouro" value="#{fornecedorBean.fornecedor.endereco.lougradouro}" />
				
					<p:outputLabel value="Número: " for="numero"/>
					<p:inputText id="numero" value="#{fornecedorBean.fornecedor.endereco.numero}" />

					<f:facet name="footer">
						<div class="footer-right footer">
							<p:commandButton icon="fa fa-check-square-o fa-lg"
								styleClass="btn-success"
								value="Cadsastrar" actionListener="#{fornecedorBean.salvar()}" update="@all"/>
								  
							<p:commandButton icon="fa fa-close fa-lg" styleClass="btn-danger"
								value="Cancelar"
								onclick="PF('CadastroFornecedor').hide()" immediate="true" />
						</div>
					</f:facet>
				</p:panelGrid>
			</h:panelGroup>
		</h:form>
		</p:dialog>
		
		
		<p:dialog  id="EditFornecedorId" widgetVar="EditFornecedor" modal="true" resizable="false"
			   closeOnEscape="true" header="Alterar cadastro fornecedor"
			   appendTo="@(body)" styleClass="box box-primary"
			   focus="EditFornecedorform:nomeReal">

         <h:form id="EditFornecedorform">
         <p:messages id="msgs" autoUpdate="true" closable="true"/>
			<h:panelGroup id="displayEditar">
				<p:panelGrid columns="2" columnClasses="column" rendered="true">
					
                    <p:outputLabel  value="Código: " for="codigo"/>
					<p:inputText id="codigo" value="#{fornecedorBean.fornecedorSelecionado.codigo}" />

					<p:outputLabel  value="Nome Real: " for="nomeReal"/>
					<p:inputText id="nomeReal" value="#{fornecedorBean.fornecedorSelecionado.nomeReal}" />
					
					<p:outputLabel  value="Nome Fantasia: " for="nomeFantasia"/>
					<p:inputText id="nomeFantasia" value="#{fornecedorBean.fornecedorSelecionado.nomeFantasia}"/>
					
					<p:outputLabel  value="Resposável: " for="responsavel"/>
					<p:inputText id="responsavel" value="#{fornecedorBean.fornecedorSelecionado.responsavel}"/>
					
					<p:outputLabel value="CNPJ:" for="cnpj" /> 
                    <p:inputMask mask="99.999.999/9999-99" id="cnpj" size="25" value="#{fornecedorBean.fornecedorSelecionado.cnpj}" />
					
					<p:outputLabel value="Telefone:" for="telefone"/>
                    <p:inputMask mask="(999) 9999-9999" id="telefone" size="20" value="#{fornecedorBean.fornecedorSelecionado.telefone}" />
					
					<p:outputLabel value="Estado: " for="estado"/>
				    <p:inputText id="estado" value="#{fornecedorBean.fornecedorSelecionado.endereco.estado}" />
				
				    <p:outputLabel value="Cidade: " for="cidade"/>
					<p:inputText id="cidade" value="#{fornecedorBean.fornecedorSelecionado.endereco.cidade}" />
				
					<p:outputLabel value="CEP: " for="cep" />
					<p:inputText id="cep" value="#{fornecedorBean.fornecedorSelecionado.endereco.cep}" />
				
					<p:outputLabel value="Bairro: " for="bairro"/>
					<p:inputText id="bairro" value="#{fornecedorBean.fornecedorSelecionado.endereco.bairro}" />
				
					<p:outputLabel value="Lougradouro: "  for="lougradouro"/>
					<p:inputText id="lougradouro" value="#{fornecedorBean.fornecedorSelecionado.endereco.lougradouro}" />
				
					<p:outputLabel value="Número: " for="numero"/>
					<p:inputText id="numero" value="#{fornecedorBean.fornecedorSelecionado.endereco.numero}" />

					<f:facet name="footer">
						<div class="footer-right footer">
							<p:commandButton icon="fa fa-check-square-o fa-lg"
								styleClass="btn-success"
								value="Alterar" actionListener="#{fornecedorBean.alterar()}" update="@all"/>
								  
							<p:commandButton icon="fa fa-close fa-lg" styleClass="btn-danger"
								value="Cancelar"
								onclick="PF('EditFornecedor').hide()" immediate="true" />
						</div>
					</f:facet>
				</p:panelGrid>
			</h:panelGroup>
		</h:form>
		</p:dialog>
		
		<p:dialog  id="ViewFornecedorId" widgetVar="ViewFornecedor" modal="true" resizable="false"
			   closeOnEscape="true" header="Detalhes do fornecedor"
			   appendTo="@(body)" styleClass="box box-primary">

         <h:form id="ViewFornecedorform">
			<h:panelGroup id="displayView">
				<p:panelGrid columns="2" columnClasses="column" rendered="true">
					
                    <p:outputLabel  value="Código: " for="codigo"/>
					<p:inputText id="codigo" value="#{fornecedorBean.fornecedorSelecionado.codigo}" readonly="true"/>

					<p:outputLabel  value="Nome Real: " for="nomeReal"/>
					<p:inputText id="nomeReal" value="#{fornecedorBean.fornecedorSelecionado.nomeReal}" readonly="true"/>
					
					<p:outputLabel  value="Nome Fantasia: " for="nomeFantasia"/>
					<p:inputText id="nomeFantasia" value="#{fornecedorBean.fornecedorSelecionado.nomeFantasia}" readonly="true"/>
					
					<p:outputLabel  value="Resposável: " for="responsavel"/>
					<p:inputText id="responsavel" value="#{fornecedorBean.fornecedorSelecionado.responsavel}" readonly="true"/>
					
					<p:outputLabel value="CNPJ:" for="cnpj" /> 
                    <p:inputMask mask="99.999.999/9999-99" id="cnpj" size="25" value="#{fornecedorBean.fornecedorSelecionado.cnpj}" readonly="true"/>
					
					<p:outputLabel value="Telefone:" for="telefone"/>
                    <p:inputMask mask="(999) 9999-9999" id="telefone" size="20" value="#{fornecedorBean.fornecedorSelecionado.telefone}" readonly="true"/>
					
					<p:outputLabel value="Estado: " for="estado"/>
				    <p:inputText id="estado" value="#{fornecedorBean.fornecedorSelecionado.endereco.estado}" readonly="true"/>
				
				    <p:outputLabel value="Cidade: " for="cidade"/>
					<p:inputText id="cidade" value="#{fornecedorBean.fornecedorSelecionado.endereco.cidade}" readonly="true"/>
				
					<p:outputLabel value="CEP: " for="cep" />
					<p:inputText id="cep" value="#{fornecedorBean.fornecedorSelecionado.endereco.cep}" readonly="true"/>
				
					<p:outputLabel value="Bairro: " for="bairro"/>
					<p:inputText id="bairro" value="#{fornecedorBean.fornecedorSelecionado.endereco.bairro}" readonly="true"/>
				
					<p:outputLabel value="Lougradouro: "  for="lougradouro"/>
					<p:inputText id="lougradouro" value="#{fornecedorBean.fornecedorSelecionado.endereco.lougradouro}" readonly="true"/>
				
					<p:outputLabel value="Número: " for="numero"/>
					<p:inputText id="numero" value="#{fornecedorBean.fornecedorSelecionado.endereco.numero}" readonly="true"/>

					<f:facet name="footer">
						<div class="footer-right footer">
								  
							<p:commandButton icon="fa fa-close fa-lg" styleClass="btn-danger"
								value="Fechar"
								onclick="PF('ViewFornecedor').hide()" immediate="true" />
						</div>
					</f:facet>
				</p:panelGrid>
			</h:panelGroup>
		</h:form>
		</p:dialog>
	
	</ui:define>            

</ui:composition>
